<div class="page-listshipment">
    <div class="container">
        <nav aria-label="breadcrumb backlink-page ">
            <ol class="breadcrumb">
                <li class="breadcrumb-item"><a href="/">Home</a></li>
                <li class="breadcrumb-item active" aria-current="page">List shipment</li>
            </ol>
        </nav>
        <div class="content">
            <div class="table-list">
                <!-- <div class="pull-right {{!ref?'hidden':'block'}}" style="float: right;">
                    <div> <span style="color: red"> Are you sure delete this! </span>
                        <a   (click)="deleteShipment()" class="btn btn-danger btn-sm">
                            Delete
                        </a>
                        <a   (click)="cancelDeleteShipment()" class="btn btn-default">
                            Cancel
                        </a>
                    </div>
                </div> -->


                <table class="table">
                    <thead>
                    <tr>
                        <th scope="col">REF</th>
                        <th scope="col">Sender</th>
                        <th scope="col">Email</th>
                        <th scope="col">From</th>
                        <th scope="col">To</th>
                        <th scope="col" style="text-align: center">Action</th>
                    </tr>
                    </thead>
                    <tbody>
                        <tr *ngFor="let ship of listShipment; index as i;">
                            <th >{{ship.ref}}</th>
                            <td>{{ship.origin.contact.name }}</td>
                            <td>{{ship.origin.contact.email }}</td>
                            <td>{{ship.origin.address.address_line1 }} - {{ship.origin.address.locality }}</td>
                            <td>{{ship.destination.address.address_line1 }} - {{ship.destination.address.locality }}</td>
                            <td class="action">
                                <a   href="" routerLink="/shipment/detail/{{ship.ref }}"  class="btn btn-info">
                                   View
                                </a>
                                &nbsp;
                                <a    (click)="comfirmDelete(ship.ref)" class="btn btn-danger">
                                    Delete
                                </a>
                            </td>
                        </tr>
                    </tbody>
                </table>
                <div class="pull-right {{!ref?'hidden':'block'}}" style="float: right;">
                        <div> <span style="color: red"> Are you sure? </span>
                            <a   (click)="deleteShipment()" class="btn btn-danger btn-sm">
                                Delete
                            </a>
                            <a   (click)="cancelDeleteShipment()" class="btn btn-default">
                                Cancel
                            </a>
                        </div>
                    </div>
            </div>
        </div>
        <!-- set up the modal to start hidden and fade in and out -->
        <div id="myModal_delete" class="modal fade">
            <div class="modal-dialog">
                <div class="modal-content">
                    <!-- dialog body -->
                    <div class="modal-body">
                        <button type="button" class="close" data-dismiss="modal">&times;</button>
                        DSL
                    </div>
                    <!-- dialog buttons -->
                    <div class="modal-footer"><button type="button" class="btn btn-primary">OK</button></div>
                </div>
            </div>
        </div>
    </div>
</div>
